// Credit: https://stackoverflow.com/a/74289472/118153
async function getCurrentTab() {
	let queryOptions = { active: true, lastFocusedWindow: true };
	let [tab] = await chrome.tabs.query(queryOptions);
	return tab;
}

async function makeIframe(inject) {
	let tab = await getCurrentTab();
	await chrome.scripting.insertCSS({
		target: { tabId: tab.id },
		files: ['content.css'],
	});
	await chrome.scripting.executeScript({
		target: { tabId: tab.id },
		files: ['content.js'],
	});
	await chrome.scripting.executeScript({
		target: { tabId: tab.id },
		func: inject,
	});
}

document.addEventListener('DOMContentLoaded', function() {
	document.getElementById('vertical').addEventListener('click', function() {
		makeIframe(() => { document.querySelector('.vs-split-wrapper').classList.add('vertical'); });
	});
	document.getElementById('horizontal').addEventListener('click', function() {
		makeIframe(() => { document.querySelector('.vs-split-wrapper').classList.add('horizontal'); });
	});
});
